Attribute VB_Name = "modServiceProtocol"
Public CurrService As Long, Services() As String

Public Function InitServices()
    ReDim Services(0)
    CurrService = -1
End Function

Public Function SwitchService(Index As Integer)
    CurrService = Index
    Dim N As Boolean
    N = (Index > -1)
    mnuChangeDB.Enabled = Not N
    mnuCustQueue.Enabled = Not N
    mnuForce.Enabled = Not N
    ViewProfile SelectedTab
    
End Function

Public Function ImplementService(Name As String) As Boolean
    'Add Service to Array
    If LenB(Services(0)) Then ReDim Preserve Services(UBound(Services) + 1)
    Services(UBound(Services)) = Name
End Function

Public Function ShowService(Index As Integer)
    '
End Function

Private Sub LoadServiceControls(serviceIndex As Integer)
    Dim I As Integer, X As Integer
    For X = 0 To UBound(Services)
        For I = 1 To 39
            Load frmBot.rtbProt(frmBot.rtbProt.Count)
            Load frmBot.lvProt(frmBot.lvProt.Count)
        Next
    Next
End Sub
